karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Kulp (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-933) War feature installation failed with Java 5
Date Wed, 12 Oct 2011 20:01:18 GMT

    [ https://issues.apache.org/jira/browse/KARAF-933?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13126095#comment-13126095
] 

Daniel Kulp commented on KARAF-933:
-----------------------------------


Geronimo annotation bundle doesn't have the provider stuff in it.  I'm not sure if there is
a bundle that does yet.  It's not just the javax.annotation.processing stuff though:

{code}
Unsatisfied requirement(s):  
---------------------------                                                              
                                               
   package:(&(package=javax.lang.model.util))                                        
                                                   
      OPS4J Pax Web - Jsp Support                                                        
                                               
   package:(&(package=javax.annotation.processing))                                  
                                                   
      OPS4J Pax Web - Jsp Support                                                        
                                               
   package:(&(package=javax.tools))                                                  
                                                   
      OPS4J Pax Web - Jsp Support                                                        
                                               
   package:(&(package=javax.lang.model.type))                                        
                                                   
      OPS4J Pax Web - Jsp Support                                                        
                                               
   package:(&(package=javax.lang.model.element))                                     
                                                   
      OPS4J Pax Web - Jsp Support                                                        
                                               
   package:(&(package=javax.lang.model))                                             
                                                   
      OPS4J Pax Web - Jsp Support   
{code}



                
> War feature installation failed with Java 5
> -------------------------------------------
>
>                 Key: KARAF-933
>                 URL: https://issues.apache.org/jira/browse/KARAF-933
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-webcontainer
>    Affects Versions: 2.2.3, 2.2.4
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 2.2.4
>
>
> If the features:install war works without problem with Java 6, it fails using Java 5:
> Could not start bundle mvn:org.ops4j.pax.web/pax-web-jsp/1.0.7 in feature(s) war-2.2.4-SNAPSHOT:
Unresolved constraint in bundle org.ops4j.pax.web.pax-web-jsp [73]: Unable to resolve 73.0:
missing requirement [73.0] package; (package=javax.annotation.processing)
> To be Java 5 compliant, the war feature should use the Geronimo annotation spec bundle.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message